LlvmDependencyCalculator2Commands
Date: 2011-05-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.cdt.managedbuilder.llvm.makegen
Class LlvmDependencyCalculator2Commands

    java.lang.Object
      org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2Commands
          org.eclipse.cdt.managedbuilder.llvm.makegen.LlvmDependencyCalculator2Commands

All Implemented Interfaces:
  org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyCommands, org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyInfo

    public class LlvmDependencyCalculator2Commands

extends org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2Commands

Constructor Summary
`LlvmDependencyCalculator2Commands(org.eclipse.core.runtime.IPath source, org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext, org.eclipse.cdt.managedbuilder.core.ITool tool, org.eclipse.core.runtime.IPath topBuildDirectory)`
`LlvmDependencyCalculator2Commands(org.eclipse.core.runtime.IPath source, org.eclipse.core.resources.IResource resource, org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext, org.eclipse.cdt.managedbuilder.core.ITool tool, org.eclipse.core.runtime.IPath topBuildDirectory)`

Method Summary
`java.lang.String[]` | `getDependencyCommandOptions()`

Methods inherited from class org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2Commands
`areCommandsGeneric, getBuildContext, getDependencyFiles, getPostToolDependencyCommands, getPreToolDependencyCommands, getSource, getTool, getTopBuildDirectory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LlvmDependencyCalculator2Commands

    public LlvmDependencyCalculator2Commands(org.eclipse.core.runtime.IPath source,
                                             org.eclipse.core.resources.IResource resource,
                                             org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext,
                                             org.eclipse.cdt.managedbuilder.core.ITool tool,
                                             org.eclipse.core.runtime.IPath topBuildDirectory)

Parameters:
  `source` - IPath
  `resource` - IResource
  `buildContext` - IBuildObject
  `tool` - ITool
  `topBuildDirectory` - IPath

### LlvmDependencyCalculator2Commands

    public LlvmDependencyCalculator2Commands(org.eclipse.core.runtime.IPath source,
                                             org.eclipse.cdt.managedbuilder.core.IBuildObject buildContext,
                                             org.eclipse.cdt.managedbuilder.core.ITool tool,
                                             org.eclipse.core.runtime.IPath topBuildDirectory)

Parameters:
  `source` - IPath
  `buildContext` - IBuildObject
  `tool` - ITool
  `topBuildDirectory` - IPath

Method Detail

### getDependencyCommandOptions

    public java.lang.String[] getDependencyCommandOptions()

  Specified by:
    `getDependencyCommandOptions` in interface `org.eclipse.cdt.managedbuilder.makegen.IManagedDependencyCommands`
  Overrides:
    `getDependencyCommandOptions` in class `org.eclipse.cdt.managedbuilder.makegen.gnu.DefaultGCCDependencyCalculator2Commands`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD